curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/dids" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "phone-uuid-1",
"number": "+15551234567",
"country_code": "US",
"formatted_number": "(555) 123-4567"
},
{
"id": "phone-uuid-2",
"number": "+15559876543",
"country_code": "US",
"formatted_number": "(555) 987-6543"
}
]
}
Custom SIP Trunks
List SIP Trunk DIDs
List the DIDs (numbers) attached to a SIP trunk
GET
/
api
/
v1
/
sip-trunks
/
{trunk_id}
/
dids
curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/dids" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "phone-uuid-1",
"number": "+15551234567",
"country_code": "US",
"formatted_number": "(555) 123-4567"
},
{
"id": "phone-uuid-2",
"number": "+15559876543",
"country_code": "US",
"formatted_number": "(555) 987-6543"
}
]
}
List SIP Trunk DIDs
List the DIDs (Direct Inward Dialing numbers) attached to a SIP trunk. DIDs are the phone numbers that route through this trunk for inbound and/or outbound calls.Endpoint
GET /api/v1/sip-trunks/{trunk_id}/dids
Path parameters
string
required
SIP trunk UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/dids" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"id": "phone-uuid-1",
"number": "+15551234567",
"country_code": "US",
"formatted_number": "(555) 123-4567"
},
{
"id": "phone-uuid-2",
"number": "+15559876543",
"country_code": "US",
"formatted_number": "(555) 987-6543"
}
]
}
Notes
- DIDs created through this trunk also appear in the global List Phone Numbers endpoint.
Was this page helpful?